/* 
Theme Name: GOsome 
Theme URI: https://gosome.fi
Description: GOsomen lapsiteema Elementorin Hello teemalle.
Author: GOsome
Author URI: https://gosome.fi
Template: hello-elementor
Version: 3.0.8
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/

/* Template defaults */

@media all and (min-width: 1921px) {
  body {
    max-width: 1920px;
    margin: 0 auto;
  }
}

body {
  word-break: break-word;
}

a {
  color: inherit;
}

a.elementor-button, .gs-header .e-n-menu-heading a, .gs-header .elementor-icon-list-item a{
	text-decoration: initial;
}

a .gs-no-underline *, .gs-no-underline a *{
	text-decoration: none!important;
}


/*gs-read-more*/
.gs-read-more .elementor-widget-container {
	overflow: hidden;
	text-overflow: ellipsis;
	width: 100%;
	max-height: 220px;
}
		@media only screen and (min-width: 768px) and (max-width: 1080px){
			.gs-read-more .elementor-widget-container {
            max-height: 110px;
        	}

	}

	.gs-read-more.expanded .elementor-widget-container {
		white-space: normal;
		max-height: none;

	}
	
	.gs-read-more:not(.expanded){
   mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0) 100%);
  -webkit-mask-image: linear-gradient(to bottom, rgba(0, 0, 0, 1) 75%, rgba(0, 0, 0, 0) 100%);
}
	
	.gs-read-more .elementor-widget-container:after{
		content:"";
		position: absolute;
		bottom: 0;
		left: 0;
		right: 0;
		height: 70px;
		/*background: linear-gradient(to bottom, transparent, white);*/
	
    }
	
	
	.gs-read-more.expanded .elementor-widget-container:after{
		content:"";
		height: 0px;
    }
	
	.readMoreToggle{
	position:relative;
	width: max-content;
	color:var(--e-global-color-text)!important;
	font-size:19px;
}

a.readMoreToggle:after {
  content:"";
  width: 1em;
  height: 1em;
  position: absolute;
  right:-25px;
  top: 5px;
  background: url(https://mors.gosome.zoner.dev/wp-content/uploads/2024/06/down-arrow.svg) no-repeat center center;
}

a.readMoreToggle.expanded:after {
  content:"";
  width: 1em;
  height: 1em;
  position: absolute;
  right:-25px;
  top: 5px;
  background: url(https://mors.gosome.zoner.dev/wp-content/uploads/2024/06/up-arrow.svg) no-repeat center center;
}

.gs-posts-nav .elementor-post-navigation {
    gap: 40px;
}

/* Tietosuojaseloste */

#gs-tietosuojaseloste h4 {
  margin-top: 40px;
}

.gs-margin-bottom-0 p{
	margin-bottom:0px;
}
.gs-align-bottom{
    margin-top:auto;
}

/* Search results */

.search-no-results .elementor-posts-nothing-found {
	text-align: center;
}